xn::ModuleFrameSyncInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual XnBool | CanFrameSyncWith (ProductionNode &other)=0
virtual XnStatus | FrameSyncWith (ProductionNode &other)=0
virtual XnStatus | StopFrameSyncWith (ProductionNode &other)=0
virtual XnBool | IsFrameSyncedWith (ProductionNode &other)=0
virtual XnStatus | RegisterToFrameSyncChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromFrameSyncChange (XnCallbackHandle hCallback)=0

## Member Function Documentation

## CanFrameSyncWith()

virtual XnBool xn::ModuleFrameSyncInterface::CanFrameSyncWith | ( | ProductionNode & | other | ) |

pure virtual

## FrameSyncWith()

virtual XnStatus xn::ModuleFrameSyncInterface::FrameSyncWith | ( | ProductionNode & | other | ) |

pure virtual

## IsFrameSyncedWith()

virtual XnBool xn::ModuleFrameSyncInterface::IsFrameSyncedWith | ( | ProductionNode & | other | ) |

pure virtual

## RegisterToFrameSyncChange()

virtual XnStatus xn::ModuleFrameSyncInterface::RegisterToFrameSyncChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## StopFrameSyncWith()

virtual XnStatus xn::ModuleFrameSyncInterface::StopFrameSyncWith | ( | ProductionNode & | other | ) |

pure virtual

## UnregisterFromFrameSyncChange()

virtual void xn::ModuleFrameSyncInterface::UnregisterFromFrameSyncChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h